Bug 274280 - KDevelop crashes randomically when I use vi input method
Summary: KDevelop crashes randomically when I use vi input method
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Unclassified
Component: Vi Input Mode (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdevelop-bugs-null
URL:
Keywords:
: 274373 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-05-27 15:41 UTC by Leandro Santiago da Silva
Modified: 2011-05-30 19:08 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Leandro Santiago da Silva 2011-05-27 15:41:55 UTC
Application: kdevelop (4.2.60)
KDE Platform Version: 4.5.95 (4.6 RC2)
Qt Version: 4.7.0
Operating System: Linux 2.6.35-28-generic i686
Distribution: Ubuntu 10.10

-- Information about the crash:
- What I was doing when the application crashed:
I've just compiled the kdevelop and cia. from sources using the kate, kdevelop and kdevplatform from today (27th May), and since then kdevelop crashes everytime I use the vim input mode.

The crash can be reproduced every time.

-- Backtrace:
Application: KDevelop (kdevelop), signal: Aborted
[Current thread is 1 (Thread 0xb2bf2710 (LWP 3134))]

Thread 13 (Thread 0xb2604b70 (LWP 3135)):
#0  0xb784f416 in __kernel_vsyscall ()
#1  0xb52eddf6 in __poll (fds=0xb5384ff4, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0xb471da1b in g_poll () from /lib/libglib-2.0.so.0
#3  0xb471043c in ?? () from /lib/libglib-2.0.so.0
#4  0xb4710ba7 in g_main_loop_run () from /lib/libglib-2.0.so.0
#5  0xb27419c4 in ?? () from /usr/lib/libgio-2.0.so.0
#6  0xb473748f in ?? () from /lib/libglib-2.0.so.0
#7  0xb51cccc9 in start_thread (arg=0xb2604b70) at pthread_create.c:304
#8  0xb52fc69e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 12 (Thread 0xad9a9b70 (LWP 3136)):
#0  0xb784f416 in __kernel_vsyscall ()
#1  0xb51d1884 in pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_timedwait.S:236
#2  0xb5309df4 in __pthread_cond_timedwait (cond=0x87add18, mutex=0x87add00, abstime=0xad9a92b0) at forward.c:152
#3  0xb603a94f in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0xb4caac26 in KDevelop::DUChainPrivate::CleanupThread::run (this=0x878c270) at /home/devstar22/projects/kdevelop/kdevplatform/language/duchain/duchain.cpp:286
#5  0xb6039df9 in ?? () from /usr/lib/libQtCore.so.4
#6  0xb51cccc9 in start_thread (arg=0xad9a9b70) at pthread_create.c:304
#7  0xb52fc69e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 11 (Thread 0xab6d6b70 (LWP 3144)):
#0  0xb784f416 in __kernel_vsyscall ()
#1  0xb52eddf6 in __poll (fds=0xb5384ff4, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0xb471da1b in g_poll () from /lib/libglib-2.0.so.0
#3  0xb471043c in ?? () from /lib/libglib-2.0.so.0
#4  0xb4710848 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#5  0xb616a59f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0xb613a609 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#7  0xb613aa8a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#8  0xb6036b7e in QThread::exec() () from /usr/lib/libQtCore.so.4
#9  0xb4d999c1 in KDevelop::CompletionWorkerThread::run (this=0x8971a18) at /home/devstar22/projects/kdevelop/kdevplatform/language/codecompletion/codecompletionmodel.cpp:84
#10 0xb6039df9 in ?? () from /usr/lib/libQtCore.so.4
#11 0xb51cccc9 in start_thread (arg=0xab6d6b70) at pthread_create.c:304
#12 0xb52fc69e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 10 (Thread 0xabed7b70 (LWP 3145)):
#0  0xb51cf3eb in __pthread_mutex_lock (mutex=0x8972c84) at pthread_mutex_lock.c:61
#1  0xb5309f66 in pthread_mutex_lock (mutex=0x8972c84) at forward.c:182
#2  0xb471082e in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0xb616a59f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#4  0xb613a609 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#5  0xb613aa8a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0xb6036b7e in QThread::exec() () from /usr/lib/libQtCore.so.4
#7  0xb4d999c1 in KDevelop::CompletionWorkerThread::run (this=0xad017cf0) at /home/devstar22/projects/kdevelop/kdevplatform/language/codecompletion/codecompletionmodel.cpp:84
#8  0xb6039df9 in ?? () from /usr/lib/libQtCore.so.4
#9  0xb51cccc9 in start_thread (arg=0xabed7b70) at pthread_create.c:304
#10 0xb52fc69e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 9 (Thread 0xa88e4b70 (LWP 3150)):
#0  0xb784f416 in __kernel_vsyscall ()
#1  0xb51d14dc in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0xb5309d9d in __pthread_cond_wait (cond=0xb519d290, mutex=0xb519d278) at forward.c:139
#3  0xb5099877 in ?? () from /usr/lib/libQtScript.so.4
#4  0xb50998c1 in ?? () from /usr/lib/libQtScript.so.4
#5  0xb51cccc9 in start_thread (arg=0xa88e4b70) at pthread_create.c:304
#6  0xb52fc69e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 8 (Thread 0xa7269b70 (LWP 3159)):
#0  0xb784f416 in __kernel_vsyscall ()
#1  0xb51d14dc in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0xb5309d9d in __pthread_cond_wait (cond=0xb458b770, mutex=0xb458b758) at forward.c:139
#3  0xb40833a5 in ?? () from /usr/lib/libQtWebKit.so.4
#4  0xb4083481 in ?? () from /usr/lib/libQtWebKit.so.4
#5  0xb51cccc9 in start_thread (arg=0xa7269b70) at pthread_create.c:304
#6  0xb52fc69e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 7 (Thread 0xa51ffb70 (LWP 3363)):
#0  0xb784f416 in __kernel_vsyscall ()
#1  0xb51d14dc in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0xb5309d9d in __pthread_cond_wait (cond=0x861c450, mutex=0x861c438) at forward.c:139
#3  0xb603a9c7 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0xb710d520 in ?? () from /usr/lib/libthreadweaver.so.4
#5  0xb7110ccc in ?? () from /usr/lib/libthreadweaver.so.4
#6  0xb710ca4b in ?? () from /usr/lib/libthreadweaver.so.4
#7  0xb7110dc2 in ?? () from /usr/lib/libthreadweaver.so.4
#8  0xb710da23 in ?? () from /usr/lib/libthreadweaver.so.4
#9  0xb710ee4e in ?? () from /usr/lib/libthreadweaver.so.4
#10 0xb710f56b in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#11 0xb6039df9 in ?? () from /usr/lib/libQtCore.so.4
#12 0xb51cccc9 in start_thread (arg=0xa51ffb70) at pthread_create.c:304
#13 0xb52fc69e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 6 (Thread 0xa49feb70 (LWP 3364)):
#0  0xb784f416 in __kernel_vsyscall ()
#1  0xb51d14dc in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0xb5309d9d in __pthread_cond_wait (cond=0x861c450, mutex=0x861c438) at forward.c:139
#3  0xb603a9c7 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0xb710d520 in ?? () from /usr/lib/libthreadweaver.so.4
#5  0xb7110ccc in ?? () from /usr/lib/libthreadweaver.so.4
#6  0xb710ca4b in ?? () from /usr/lib/libthreadweaver.so.4
#7  0xb7110dc2 in ?? () from /usr/lib/libthreadweaver.so.4
#8  0xb710da23 in ?? () from /usr/lib/libthreadweaver.so.4
#9  0xb7110de1 in ?? () from /usr/lib/libthreadweaver.so.4
#10 0xb710da23 in ?? () from /usr/lib/libthreadweaver.so.4
#11 0xb710ee4e in ?? () from /usr/lib/libthreadweaver.so.4
#12 0xb710f56b in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#13 0xb6039df9 in ?? () from /usr/lib/libQtCore.so.4
#14 0xb51cccc9 in start_thread (arg=0xa49feb70) at pthread_create.c:304
#15 0xb52fc69e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 5 (Thread 0xa7a6ab70 (LWP 3434)):
#0  0xb784f416 in __kernel_vsyscall ()
#1  0xb51d14dc in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0xb5309d9d in __pthread_cond_wait (cond=0x9e692e8, mutex=0x9e692d0) at forward.c:139
#3  0xb603a9c7 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0xb710d520 in ?? () from /usr/lib/libthreadweaver.so.4
#5  0xb7110ccc in ?? () from /usr/lib/libthreadweaver.so.4
#6  0xb710ca4b in ?? () from /usr/lib/libthreadweaver.so.4
#7  0xb7110dc2 in ?? () from /usr/lib/libthreadweaver.so.4
#8  0xb710da23 in ?? () from /usr/lib/libthreadweaver.so.4
#9  0xb710ee4e in ?? () from /usr/lib/libthreadweaver.so.4
#10 0xb710f56b in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#11 0xb6039df9 in ?? () from /usr/lib/libQtCore.so.4
#12 0xb51cccc9 in start_thread (arg=0xa7a6ab70) at pthread_create.c:304
#13 0xb52fc69e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 4 (Thread 0xa2fffb70 (LWP 3435)):
#0  0xb784f416 in __kernel_vsyscall ()
#1  0xb51d14dc in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0xb5309d9d in __pthread_cond_wait (cond=0x9e692e8, mutex=0x9e692d0) at forward.c:139
#3  0xb603a9c7 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0xb710d520 in ?? () from /usr/lib/libthreadweaver.so.4
#5  0xb7110ccc in ?? () from /usr/lib/libthreadweaver.so.4
#6  0xb710ca4b in ?? () from /usr/lib/libthreadweaver.so.4
#7  0xb7110dc2 in ?? () from /usr/lib/libthreadweaver.so.4
#8  0xb710da23 in ?? () from /usr/lib/libthreadweaver.so.4
#9  0xb7110de1 in ?? () from /usr/lib/libthreadweaver.so.4
#10 0xb710da23 in ?? () from /usr/lib/libthreadweaver.so.4
#11 0xb710ee4e in ?? () from /usr/lib/libthreadweaver.so.4
#12 0xb710f56b in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#13 0xb6039df9 in ?? () from /usr/lib/libQtCore.so.4
#14 0xb51cccc9 in start_thread (arg=0xa2fffb70) at pthread_create.c:304
#15 0xb52fc69e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 3 (Thread 0xa27feb70 (LWP 3437)):
#0  0xb784f416 in __kernel_vsyscall ()
#1  0xb51d14dc in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0xb5309d9d in __pthread_cond_wait (cond=0x9e692e8, mutex=0x9e692d0) at forward.c:139
#3  0xb603a9c7 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0xb710d520 in ?? () from /usr/lib/libthreadweaver.so.4
#5  0xb7110ccc in ?? () from /usr/lib/libthreadweaver.so.4
#6  0xb710ca4b in ?? () from /usr/lib/libthreadweaver.so.4
#7  0xb7110dc2 in ?? () from /usr/lib/libthreadweaver.so.4
#8  0xb710da23 in ?? () from /usr/lib/libthreadweaver.so.4
#9  0xb7110de1 in ?? () from /usr/lib/libthreadweaver.so.4
#10 0xb710da23 in ?? () from /usr/lib/libthreadweaver.so.4
#11 0xb7110de1 in ?? () from /usr/lib/libthreadweaver.so.4
#12 0xb710da23 in ?? () from /usr/lib/libthreadweaver.so.4
#13 0xb710ee4e in ?? () from /usr/lib/libthreadweaver.so.4
#14 0xb710f56b in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#15 0xb6039df9 in ?? () from /usr/lib/libQtCore.so.4
#16 0xb51cccc9 in start_thread (arg=0xa27feb70) at pthread_create.c:304
#17 0xb52fc69e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 2 (Thread 0xa1ffdb70 (LWP 3438)):
#0  0xb784f416 in __kernel_vsyscall ()
#1  0xb51d14dc in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0xb5309d9d in __pthread_cond_wait (cond=0x9e692e8, mutex=0x9e692d0) at forward.c:139
#3  0xb603a9c7 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0xb710d520 in ?? () from /usr/lib/libthreadweaver.so.4
#5  0xb7110ccc in ?? () from /usr/lib/libthreadweaver.so.4
#6  0xb710ca4b in ?? () from /usr/lib/libthreadweaver.so.4
#7  0xb7110dc2 in ?? () from /usr/lib/libthreadweaver.so.4
#8  0xb710da23 in ?? () from /usr/lib/libthreadweaver.so.4
#9  0xb7110de1 in ?? () from /usr/lib/libthreadweaver.so.4
#10 0xb710da23 in ?? () from /usr/lib/libthreadweaver.so.4
#11 0xb7110de1 in ?? () from /usr/lib/libthreadweaver.so.4
#12 0xb710da23 in ?? () from /usr/lib/libthreadweaver.so.4
#13 0xb710ee4e in ?? () from /usr/lib/libthreadweaver.so.4
#14 0xb710f56b in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#15 0xb6039df9 in ?? () from /usr/lib/libQtCore.so.4
#16 0xb51cccc9 in start_thread (arg=0xa1ffdb70) at pthread_create.c:304
#17 0xb52fc69e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 1 (Thread 0xb2bf2710 (LWP 3134)):
[KCrash Handler]
#7  0xb784f416 in __kernel_vsyscall ()
#8  0xb5256941 in raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#9  0xb5259e42 in abort () at abort.c:92
#10 0xb60302dc in qt_message_output(QtMsgType, char const*) () from /usr/lib/libQtCore.so.4
#11 0xb60304aa in ?? () from /usr/lib/libQtCore.so.4
#12 0xb60305b9 in qFatal(char const*, ...) () from /usr/lib/libQtCore.so.4
#13 0xb6030645 in qt_assert(char const*, char const*, int) () from /usr/lib/libQtCore.so.4
#14 0xafa39b70 in KSharedPtr<KateLineLayout>::operator-> (this=0xbfdf610c) at /usr/include/ksharedptr.h:126
#15 0xafa3d433 in KateLayoutCache::viewLine (this=0xa5aae98, realCursor=...) at /home/devstar22/projects/kdevelop/kate/part/render/katelayoutcache.cpp:387
#16 0xafa3d8ac in KateLayoutCache::textLayout (this=0xa5aae98, realCursor=...) at /home/devstar22/projects/kdevelop/kate/part/render/katelayoutcache.cpp:336
#17 0xafa97fe1 in KateViewInternal::updateCursor (this=0x95888e0, newCursor=..., force=false, center=false, calledExternally=false) at /home/devstar22/projects/kdevelop/kate/part/view/kateviewinternal.cpp:1854
#18 0xafab2d1f in KateViModeBase::updateCursor (this=0x96d7400, c=...) at /home/devstar22/projects/kdevelop/kate/part/vimode/katevimodebase.cpp:666
#19 0xafac22ce in KateViNormalMode::goToPos (this=0x96d7400, r=...) at /home/devstar22/projects/kdevelop/kate/part/vimode/katevinormalmode.cpp:404
#20 0xafac3605 in KateViNormalMode::handleKeypress (this=0x96d7400, e=0xbfdf6b74) at /home/devstar22/projects/kdevelop/kate/part/vimode/katevinormalmode.cpp:281
#21 0xafab1a5e in KateViInputModeManager::handleKeypress (this=0x8ea77b0, e=0xbfdf6b74) at /home/devstar22/projects/kdevelop/kate/part/vimode/kateviinputmodemanager.cpp:79
#22 0xafa96bb4 in KateViewInternal::keyPressEvent (this=0x95888e0, e=0xbfdf6b74) at /home/devstar22/projects/kdevelop/kate/part/view/kateviewinternal.cpp:2266
#23 0xafa959e6 in KateViewInternal::eventFilter (this=0x95888e0, obj=0x95888e0, e=0xbfdf6b74) at /home/devstar22/projects/kdevelop/kate/part/view/kateviewinternal.cpp:2151
#24 0xb613b29a in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#25 0xb563afb9 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#26 0xb5642ac9 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#27 0xb64f4f8a in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#28 0xb613bb3b in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#29 0xb563ab9e in ?? () from /usr/lib/libQtGui.so.4
#30 0xb56f769d in ?? () from /usr/lib/libQtGui.so.4
#31 0xb56f9b49 in ?? () from /usr/lib/libQtGui.so.4
#32 0xb56cd387 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/libQtGui.so.4
#33 0xb56fd36a in ?? () from /usr/lib/libQtGui.so.4
#34 0xb470c855 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#35 0xb4710668 in ?? () from /lib/libglib-2.0.so.0
#36 0xb4710848 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#37 0xb616a565 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#38 0xb56fcbe5 in ?? () from /usr/lib/libQtGui.so.4
#39 0xb613a609 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#40 0xb613aa8a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#41 0xb613f00f in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#42 0xb5639e07 in QApplication::exec() () from /usr/lib/libQtGui.so.4
#43 0x08051460 in main (argc=1, argv=0xbfdf7f64) at /home/devstar22/projects/kdevelop/kdevelop/app/main.cpp:474

Reported using DrKonqi
Comment 1 Milian Wolff 2011-05-27 17:28:32 UTC
reassigning
Comment 2 Erlend Hamberg 2011-05-28 12:41:07 UTC
Hi, Leandro. Thanks for your report.

Does this happen by simply enabling the vi input mode or when you do something?

Could see if this happens in the Kate application too? (KDevelop and Kate share their editing component.)
Comment 3 Leandro Santiago da Silva 2011-05-28 20:14:33 UTC
(In reply to comment #2)
> Hi, Leandro. Thanks for your report.
> 
> Does this happen by simply enabling the vi input mode or when you do something?
> 
> Could see if this happens in the Kate application too? (KDevelop and Kate share
> their editing component.)

Yes, it also happens with Kate.
To reproduce the error, I just navigate into file with arrow keys in the command mode.

I also reported a bug for kate:
https://bugs.kde.org/show_bug.cgi?id=274373
Comment 4 Milian Wolff 2011-05-28 23:28:03 UTC
*** Bug 274373 has been marked as a duplicate of this bug. ***
Comment 5 Erlend Hamberg 2011-05-29 23:34:51 UTC
I am not able to reproduce this with kate from today (29 May). I open a file with a few lines and hit the arrow keys, but don't see a crash.

Any help in reproducing this would be appreciated.
Comment 6 Erlend Hamberg 2011-05-30 18:18:38 UTC
Able to reproduce it now. Committing a fix and a test case for this soon. Thanks!
Comment 7 Erlend Hamberg 2011-05-30 19:08:12 UTC
Git commit 26b987c74b09e88508efd199d47f1ddcfe772006 by Erlend Hamberg.
Committed on 30/05/2011 at 18:49.
Pushed by ehamberg into branch 'master'.

fix crash when navigating in an empty document

BUG: 274280

M  +5    -2    part/vimode/katevinormalmode.cpp     

http://commits.kde.org/kate/26b987c74b09e88508efd199d47f1ddcfe772006